import { SYSTEM_MENU_STATUS_ENABLE, SYSTEM_MENU_STATUS_DISABLED, USER_TYPE_SYS, USER_TYPE_CORP } from '../const/system';

/** 过滤系统菜单状态 */
export function filterMenuStatus(status: string): string {
  switch (status) {
    case SYSTEM_MENU_STATUS_ENABLE:
      return '启用';
    case SYSTEM_MENU_STATUS_DISABLED:
      return '禁用';
    default:
      return '未知';
      break;
  }
}

/** 过滤系统用户类型 */
export function filterUserType(userType: string) {
  switch (userType) {
    case USER_TYPE_SYS:
      return '系统用户';
    case USER_TYPE_CORP:
      return '企微用户';
    default:
      return '未知';
      break;
  }
}
